package com.meapsoft;

import java.io.IOException;
import java.util.Vector;

public class DumpFeatureInfo
{

	DumpFeatureInfo(String filename)
	{
		
		System.out.println("dumping data for: " + filename);
		
		FeatFile fF = new FeatFile(filename);
		try
		{
			fF.readFile();
		}
		catch (Exception e)
		{
			e.printStackTrace();
		}
		
		int numFeatures = fF.featureDescriptions.size();
		int[] featLengths = fF.getFeatureLengths();
		
		System.out.println("features: ");
		for (int i = 0; i < numFeatures; i++)
			System.out.println(fF.featureDescriptions.elementAt(i));
		System.out.println();
		
		//int element = 0;
		double[][] features = fF.getFeatures();
		
		int numChunks = features.length;
		int offset = 0;
		
		for (int featNum = 0; featNum < numFeatures; featNum++)
		{
			System.out.println("dumping: " + fF.featureDescriptions.elementAt(featNum));

			int dimensions = featLengths[featNum];
			double total = 0.0;
			double lowest = Double.MAX_VALUE;
			//using Double.MIN_VALUE causes some strange behavior...
			double highest = -1000000;//Double.MIN_VALUE;

			for (int dimension = offset; dimension < offset + dimensions; dimension++)
			{
				double dimTotal = 0.0;
				
				for (int chunk = 0; chunk < numChunks; chunk++)
				{
					double value = features[chunk][dimension];
					//System.out.println("doing: [" + chunk + "][" + dimension + "]: " + value);
					
					total += value;
					dimTotal += value;
					
					if (value > highest)
					{
						//System.out.print("old highest: " + highest);
						highest = value;
						//System.out.println(" new highest: " + highest);
					}
					if (value < lowest)
					{
						//System.out.print("old lowest: " + lowest);
						lowest = value;
						//System.out.println(" new lowest: " + lowest);
				
					}
				}
				if (dimensions > 1)
					System.out.println("total for dim[" + dimension + "]: " + dimTotal);
			}
			System.out.println("total: " + total);
			System.out.println("lowest: " + lowest);
			System.out.println("higest: " + highest);
			System.out.println("average: " + total/(dimensions * numChunks));
			System.out.println("range: " + (highest - lowest));
			System.out.println();
			
			offset += dimensions;
		}
		
	}
	
	
	public static void main(String[] args)
	{
		new DumpFeatureInfo(args[0]);
	}

}
